## org.apache.aries.subsystem.core.internal
Class Location

    java.lang.Object
      org.apache.aries.subsystem.core.internal.Location

    public class Location

extends Object

Constructor Summary
`Location(String location)`

Method Summary
`String` `getSymbolicName()`
`String` `getValue()`
`org.osgi.framework.Version` `getVersion()`
`org.apache.aries.util.filesystem.IDirectory` `open()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Location

    public Location(String location)
             throws MalformedURLException,
                    URISyntaxException

Throws:
  `MalformedURLException`
  `URISyntaxException`

Method Detail

### getValue

    public String getValue()

### getSymbolicName

    public String getSymbolicName()

### getVersion

    public org.osgi.framework.Version getVersion()

### open

    public org.apache.aries.util.filesystem.IDirectory open()
                                                     throws IOException,
                                                            URISyntaxException

  Throws:
    `IOException`
    `URISyntaxException`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.